import got from 'got';
function createHeaders(accessToken) {
    return { 'PRIVATE-TOKEN': accessToken };
}
export const getRequest = (url, accessToken) => {
    return got.paginate.all(url, {
        headers: createHeaders(accessToken),
    });
};
export const deleteRequest = (url, accessToken) => {
    return got
        .delete(url, {
        headers: createHeaders(accessToken),
        throwHttpErrors: true,
        retry: {
            limit: 0,
        },
    })
        .text();
};
//# sourceMappingURL=network.js.map